Bug 128006 - talk uses obsolete socket option SO_BSDCOMPAT
talk uses obsolete socket option SO_BSDCOMPAT
Product: Fedora
Classification: Fedora
Component: talk (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2004-07-16 07:59 EDT by Ferry Huberts
Modified: 2013-07-02 19:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-10 05:05:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
talk-0.17-sockopt.patch (602 bytes, patch)
2004-07-29 09:41 EDT, Jindrich Novy
no flags Details | Diff

  None (edit)
Description Ferry Huberts 2004-07-16 07:59:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040514

Description of problem:
talk uses obsolete socket option SO_BSDCOMPAT

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. talk <logged in user>

Actual Results:  in syslog:
kernel: process `talk' is using obsolete setsockopt SO_BSDCOMPAT

talk does not operate normally now

Expected Results:  normal operation

Additional info:
Comment 1 Jindrich Novy 2004-07-29 09:41:46 EDT
Created attachment 102283 [details]
Comment 2 Jindrich Novy 2004-07-29 09:54:07 EDT
It looks like talk developers possibly assumed that OS_BSDCOMPAT is
only defined on *BSD environments what leads to inappropriate use of
setsockopt under GNU/Linux. Even they tried to fix the problem in
source it doesn't work. The patch in comment #1 fixes the problem.
It'll be fixed also in FC.


Note You need to log in before you can comment on or make changes to this bug.